package fucoin.actions.persist;

import akka.actor.ActorRef;
import akka.actor.UntypedActorContext;
import fucoin.AbstractNode;
import fucoin.Wallet;

// May be used to delete a stored Wallet on another participant
public class ActionInvalidate extends Persist{
	public final String name;
    public ActionInvalidate(String name) {
        this.name = name;
    }
	@Override
	protected void onAction(ActorRef sender, ActorRef self,
			UntypedActorContext context, Wallet wallet) {
		wallet.backedUpNeighbors.remove(name);
	}
}
